﻿using Exam.Infrastructure.Data.Entity;
using Mapster;
using XF.Domain.Repository;

namespace Exam.Infrastructure.Web.Utilities
{
    public class TypeAdapterConfigUtility
    {
        public static TypeAdapterConfig ForUpdate<TActionRequest, TEntity>()
            where TActionRequest : ActionRequest
            where TEntity : FullStateEntity
        {
            TypeAdapterConfig.GlobalSettings.ForType<TActionRequest, TEntity>()
    .Ignore(x => x.CreationTime)
                .Ignore(x => x.CreatorId)
                .Ignore(x => x.CreatorName)
                .Ignore(x => x.CreatorOrgId)
                .Ignore(x => x.CreatorOrgLevel)
                .Ignore(x => x.CreatorOrgName)
                .Ignore(x => x.AreaId)
                .Ignore(x => x.Id);

            return TypeAdapterConfig.GlobalSettings;
        }
    }
}
