﻿using Exam.ExamManages;

using Exam.Share;
using Exam.Share.ViewResponses.Exam;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Requests.Exam;
using Microsoft.AspNetCore.Http;

namespace Hotline.Application.Exam.Interface.ExamManages
{
    public interface IExamManageService:IQueryService<ExamManageViewResponse,ExamManageDto,ExamManagePagedRequest>,IApiService<AddExamManageDto,UpdateExamManageDto,ExamManage>
    {
        /// <summary>
        /// 组卷
        /// </summary>
        /// <param name="generateExamTestPaperRequest"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        public Task GenerateTestPaper(GenerateExamTestPaperRequest generateExamTestPaperRequest, CancellationToken cancellationToken);

    }
}
