﻿using Exam.ExamManages;
using Exam.Share.ViewResponses.Sourceware;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.ExamManages;
using Hotline.Share.Requests.Exam;
using Hotline.Share.Requests.Sourceware;
using Hotline.Share.ViewResponses.Exam;

namespace Exam.Application.Interface.Exam
{
    public interface IExamTagService:IQueryService<ExamTagViewResponse,ExamTagDto,ExamTagRequest>,IApiService<AddExamTagDto,UpdateExamTagDto,ExamTag>
    {
        public Task<List<ExamTagViewResponse>> GetTreeAsync(ExamTagRequest examTagRequest);
    }
}
