

using Exam.Questions;
using Exam.Share;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;
using System.ComponentModel;

namespace Exam.Application
{
    /// <summary>
    /// 试题参考答案服务接口
    /// </summary>
    [Description("试题参考答案服务接口")]
    public interface IQuestionAnswerService:IQueryService<QuestionAnswerViewResponse,QuestionAnswerDto,QuestionAnswerPagedRequest>,IApiService<AddQuestionAnswerDto,UpdateQuestionAnswerDto,QuestionAnswer>
    {
    }
}


