

using Exam.Questions;
using Exam.Share;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;
using System.ComponentModel;

namespace Exam.Application
{
    /// <summary>
    /// 试题选项服务接口
    /// </summary>
    [Description("试题选项服务接口")]
    public interface IQuestionOptionsService:IQueryService<QuestionOptionsViewResponse,QuestionOptionsDto,QuestionOptionsPagedRequest>,IApiService<AddQuestionOptionsDto,UpdateQuestionOptionsDto,QuestionOptions>
    {
    }
}


