﻿
using Exam.Questions;
using Exam.Share.ViewResponses.Question;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;
using Microsoft.AspNetCore.Http;

namespace Exam.Application.Interface.Questions
{
    public interface IQuestionService:IQueryService<QuestionViewResponse,QuestionDto,QuestionPagedRequest>,IApiService<AddQuestionDto, UpdateQuestionDto, Question>
    {

        /// <summary>
        /// 导入Excel
        /// </summary>
        /// <param name="files"></param>
        /// <returns></returns>
        public Task ImportExcel(IFormFile files, CancellationToken cancellationToken);
    }
}
