

using Exam.Questions;
using Exam.Share;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;
using System.ComponentModel;

namespace Exam.Application
{
    /// <summary>
    /// 关联课件服务接口
    /// </summary>
    [Description("关联课件服务接口")]
    public interface IQuestionSourcewareService:IQueryService<QuestionSourcewareViewResponse,PracticeQuestionSourcewareDto,QuestionSourcewarePagedRequest>,IApiService<AddQuestionSourcewareDto,UpdateQuestionSourcewareDto,PracticeQuestionSourceware>
    {
    }
}


