using Exam.Share.ViewResponses.Sourceware;
using Hotline.Exams.Sourcewares;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Sourcewares;
using Hotline.Share.Requests.Sourceware;
using System.ComponentModel;

namespace Exam.Application
{
    /// <summary>
    /// 课件类型服务接口
    /// </summary>
    [Description("课件类型服务接口")]
    public interface ISourcewareCategoryService:IQueryService<SourcewareCategoryViewResponse,SourcewareCategoryDto,SourcewareCategoryRequest>,IApiService<AddSourcewareCategoryDto,UpdateSourcewareCategoryDto,SourcewareCategory>
    {
        public Task<List<SourcewareCategoryViewResponse>> GetTreeAsync(SourcewareCategoryRequest sourcewareCategoryRequest);
    }
}


