using Exam.Repository.Sqlsugar.Validators.TestPapers;
using Exam.TestPapers;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.TestPapers;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.TestPapers
{
    /// <summary>
    /// 试卷规则仓储
    /// </summary>
    [Description("试卷规则仓储")]
    public class TestPaperRuleRepository : ExamRepository<TestPaperRule>, ITestPaperRuleRepository,IScopeDependency
    {
        public TestPaperRuleRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TestPaperRuleValidator();
        }
    }
}

