using Exam.Repository.Sqlsugar.Validators.Trains;
using Exam.Trains;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Trains;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.Trains
{
    /// <summary>
    /// 培训资料仓储
    /// </summary>
    [Description("培训资料仓储")]
    public class TrainKnowladgeRepository : ExamRepository<TrainKnowladge>, ITrainKnowladgeRepository,IScopeDependency
    {
        public TrainKnowladgeRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TrainKnowladgeValidator();
        }
    }
}

