﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Trains
{
    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class TrainRecordAnswerDto:UpdateTrainRecordAnswerDto
    {
        
    }

    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class AddTrainRecordAnswerDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 培训记录Id
        /// </summary>
        [Description("培训记录Id")]
        public string TrainRecordId { get; set; }

        /// <summary>
        /// 试题选项Id
        /// </summary>
        [Description("试题选项Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class UpdateTrainRecordAnswerDto : AddTrainRecordAnswerDto,IActionRequest
    {

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
