﻿using Hotline.Orders;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Early
{
    public class EarlyWarningPushDetail:CreationEntity
    {
        public string EarlyWarningPushId { get; set; }

        public string OrderId { get; set; }

        /// <summary>
        /// 是否生成word
        /// </summary>
        public bool IsSendWord { get; set; }

        /// <summary>
        /// 工单
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(OrderId))]
        public Order Order { get; set; }
    }
}
