﻿using Exam.ExamManages;
using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using FluentValidation;
using FluentValidation.Validators;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.ExamManages
{
    public class AddRuleTagDtoValidator : AbstractValidator<AddRuleTagDto>
    {
        public AddRuleTagDtoValidator()
        {
            RuleFor(m=>m.TagId).NotEmpty().WithMessage(x=>string.Format(ErrorMessage.IsRequired,typeof(ExamTag).GetDescription()));
        }
    }
}