﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using Exam.Questions;
using FluentValidation;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.TestPapers
{
    public class AddTestPaperItemDtoValidator : AbstractValidator<AddTestPaperItemDto>
    {
        public AddTestPaperItemDtoValidator()
        {
            RuleFor(m => m.QuestionId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(Question).GetDescription()));

        }
    }
}