﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using Exam.TestPapers;
using FluentValidation;
using FluentValidation.Validators;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.TestPapers
{
    public class AddTestPaperRuleDtoValidator : AbstractValidator<AddTestPaperRuleDto>
    {
        public AddTestPaperRuleDtoValidator()
        {
            RuleFor(m => m.QuestionType).NotNull().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TestPaperRule.QuestionType))));

            RuleFor(m => m.Count).NotNull().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TestPaperRule.QuestionType))));

        }
    }
}