

using Exam.Questions;
using Exam.Share;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;
using System.ComponentModel;

namespace Exam.Application
{
    /// <summary>
    /// 关联知识服务接口
    /// </summary>
    [Description("关联知识服务接口")]
    public interface IQuestionKnowladgeService:IQueryService<QuestionKnowladgeViewResponse,PracticeQuestionKnowladgeDto,QuestionKnowladgePagedRequest>,IApiService<AddQuestionKnowladgeDto,UpdateQuestionKnowladgeDto,TestPaperItemKnowladge>
    {
    }
}


