

using Exam.Questions;
using Exam.Share;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;
using System.ComponentModel;

namespace Exam.Application
{
    /// <summary>
    /// 试题标签服务接口
    /// </summary>
    [Description("试题标签服务接口")]
    public interface IQuestionTagService:IQueryService<QuestionTagViewResponse,QuestionTagDto,QuestionTagPagedRequest>,IApiService<AddQuestionTagDto,UpdateQuestionTagDto,QuestionTag>
    {
    }
}


