﻿using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Web.Utilities;
using Exam.Questions;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Notifications.NewRockCallCenter.Base;
using Mapster;
using System.Reflection;
using System.Text.RegularExpressions;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Exam.Application.Mappers
{
    internal class MapperConfigs : IRegister
    {
        public void Register(TypeAdapterConfig config)
        {
            config.ForType<QuestionDto, Question>().IgnoreNullValues(true);
        }
    }
}
