using Exam.Infrastructure.Extensions;
using Hotline.Exams.Sourcewares;
using Hotline.Share.Requests.Sourceware;
using JiebaNet.Segmenter.Common;
using SqlSugar;
using System.Linq.Expressions;

namespace Exam.Application.QueryExtensions.Sourcewares
{
    public static class SourcewareCategoryQueryExtesions
    {
        public static Expression<Func<SourcewareCategory,bool>> GetExpression(this SourcewareCategoryRequest sourcewareCategoryPagedRequest)
        {
            Expression<Func<SourcewareCategory, bool>> expression = m => m.Id != null;

            Expressionable<SourcewareCategory> expressionable = new Expressionable<SourcewareCategory>();

            expressionable.AndIF(sourcewareCategoryPagedRequest.Name.IsNotNullOrEmpty(), x => x.Name.Contains(sourcewareCategoryPagedRequest.Name));

            expression = expressionable.ToExpression();

            return expression;
        }

    }
}



