
using SqlSugar;
using XF.Domain.Repository;
using System.ComponentModel;
using Exam.Questions;
using Hotline.Repository.SqlSugar.Interface;
using Exam.ExamManages;

namespace Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages
{
    /// <summary>
    /// 关联课件仓储接口
    /// </summary>
    [Description("关联课件仓储接口")]
    public interface IExamQuestionSourcewareRepository:IRepository<ExamQuestionSourceware>,IExamRepository<ExamQuestionSourceware, HotlineDbContext>
    {
       
    }
}


