using Exam.ExamManages;
using Hotline.Repository.SqlSugar.Interface;
using System.ComponentModel;
using System.Linq.Expressions;
using XF.Domain.Repository;

namespace Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages
{
    /// <summary>
    /// 考试标签仓储接口
    /// </summary>
    [Description("考试标签仓储接口")]
    public interface IExamTagRepository:IRepository<ExamTag>,IExamRepository<ExamTag,HotlineDbContext>
    {
        public Task<List<ExamTag>> GetTreeAsync(Expression<Func<ExamTag, bool>> expression);
    }
}


