using Exam.Repository.Sqlsugar.Validators.Sourcewares;
using Hotline.Exams.Sourcewares;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Sourcewares;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.Sourcewares
{
    /// <summary>
    /// 课件仓储
    /// </summary>
    [Description("课件仓储")]
    public class SourcewareRepository : ExamRepository<Sourceware>, ISourcewareRepository,IScopeDependency
    {
        public SourcewareRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new SourcewareValidator(this);
        }
    }
}

