﻿using Exam.Repository.Sqlsugar.Repositories;
using Hotline.Exams.TestPapers;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.TestPapers;
using Hotline.Repository.SqlSugar.Exam.Validators.TestPapers;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Exam.Repositories.TestPapers
{
    public class TestPaperItemOptionsRepository : ExamRepository<TestPaperItemOptions>, ITestPaperItemOptionsRepository, IScopeDependency
    {
        public TestPaperItemOptionsRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TestPaperItemOptionsValidator();
        }
    }
}
