using Exam.Repository.Sqlsugar.Validators.TestPapers;
using Exam.TestPapers;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.TestPapers;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.TestPapers
{
    /// <summary>
    /// 人工组卷试题仓储
    /// </summary>
    [Description("人工组卷试题仓储")]
    public class TestPaperItemRepository : ExamRepository<TestPaperItem>, ITestPaperItemRepository,IScopeDependency
    {
        public TestPaperItemRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TestPaperItemValidator();
        }
    }
}

