using Exam.Repository.Sqlsugar.Validators.TestPapers;
using Exam.TestPapers;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.TestPapers;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.TestPapers
{
    /// <summary>
    /// 试卷组卷规则标签仓储
    /// </summary>
    [Description("试卷组卷规则标签仓储")]
    public class TestPaperRuleTagRepository : ExamRepository<TestPaperRuleTag>, ITestPaperRuleTagRepository,IScopeDependency
    {
        public TestPaperRuleTagRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TestPaperRuleTagValidator();
        }
    }
}

