﻿using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Exam.Share.Dtos.ExamManage
{
    public class GradingExtamItemDto:IAddRequest
    {
        /// <summary>
        /// 用户考试明细Id
        /// </summary>
        [Description("用户考试明细Id")]
        public string UserExamItemId { get; set; }

        /// <summary>
        /// 得分
        /// </summary>
        [Description("得分")]
        public int Score { get; set; }

        /// <summary>
        /// 是否已阅卷
        /// </summary>
        [Description("是否已阅卷")]
        public bool IsCheck { get; set; }
    }

    public class ViewGradingExamRequest : IQueryRequest
    {
        /// <summary>
        /// 用户考试明细Id
        /// </summary>
        [Description("用户考试明细Id")]
        public string UserExamItemId { get; set; }
    }
}
