﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Sourcewares
{
    /// <summary>
    /// 课件类型
    /// </summary>
    [Description("课件类型")]
    public class SourcewareCategoryDto : UpdateSourcewareCategoryDto
    {
       

    }

    public class AddSourcewareCategoryDto : IAddRequest
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        public string Name { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        [Description("父级ID")]
        public string ParentId { get; set; }
    }

    /// <summary>
    /// 主键
    /// </summary>
    public class UpdateSourcewareCategoryDto : AddSourcewareCategoryDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
