﻿using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Exam.ExamManages
{
    /// <summary>
    /// 关联课件
    /// </summary>
    [Description("关联课件")]
    public class ExamQuestionSourceware:BusinessEntity
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 课件Id
        /// </summary>
        [SugarColumn(ColumnDescription = "课件Id")]
        [Description("课件Id")]
        public string SourcewareId { get; set; }

        /// <summary>
        /// 练习习题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "练习习题Id")]
        [Description("练习习题Id")]

        public string ExamQuestionId { get; set; }
    }
}
