﻿using Hotline.Exams.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Exams.TestPapers
{
    /// <summary>
    /// 试卷选项
    /// </summary>
    [Description("试卷选项")]
    public class TestPaperItemOptions:BusinessEntity
    {
        /// <summary>
        /// 试卷明细Id
        /// </summary>
        [SugarColumn(ColumnDescription = "试卷明细Id")]
        [Description("试卷明细Id")]
        public string TestPaperItemId { get; set; }

        /// <summary>
        /// 题库Id
        /// </summary>
        [SugarColumn(ColumnDescription = "题库Id")]
        [Description("题库Id")]

        public string QuestionId { get; set; }

        /// <summary>
        /// 题库选项Id
        /// </summary>
        [SugarColumn(ColumnDescription = "题库选项Id")]
        [Description("题库选项Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [SugarColumn(ColumnDescription = "选项")]
        [Description("选项")]
        public string Content { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [SugarColumn(ColumnDescription = "是否答案")]
        [Description("是否答案")]
        public bool IsAnswer { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [SugarColumn(ColumnDescription = "选项题标")]
        [Description("选项题标")]
        public string Label { get; set; }
    }
}
